summaryrefslogtreecommitdiff
path: root/src/testing/test-merchant-walletharness.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/testing/test-merchant-walletharness.sh')
-rwxr-xr-xsrc/testing/test-merchant-walletharness.sh19
1 files changed, 17 insertions, 2 deletions
diff --git a/src/testing/test-merchant-walletharness.sh b/src/testing/test-merchant-walletharness.sh
index 98a78efa..c3c048d1 100755
--- a/src/testing/test-merchant-walletharness.sh
+++ b/src/testing/test-merchant-walletharness.sh
@@ -22,8 +22,23 @@
set -eu
+unset XDG_DATA_HOME
+unset XDG_CONFIG_HOME
+
+. setup.sh
+
+echo -n "Testing for libeufin-bank"
+libeufin-bank --help >/dev/null </dev/null || exit_skip " MISSING"
+echo " FOUND"
+
+echo -n "Testing for taler-harness"
+taler-harness --help >/dev/null </dev/null || exit_skip " MISSING"
+echo " FOUND"
+
+
+export WALLET_HARNESS_WITH_EUFIN=1
res=0
-taler-wallet-cli testing run-integrationtests --dry --suites merchant 2&>/dev/null || res=$?
+taler-harness run-integrationtests --dry --suites merchant 2&>/dev/null || res=$?
if [[ $res -ne 0 ]]; then
echo "skipping wallet test harness"
@@ -31,4 +46,4 @@ if [[ $res -ne 0 ]]; then
fi
-exec taler-wallet-cli testing run-integrationtests --suites merchant
+exec taler-harness run-integrationtests --suites merchant